module.exports = {
  create: {
    requestBody: [
      '!termid',
      '!subid',
      '!teacherid',
      'reason'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'termid',
      'subid',
      'teacherid',
      'reason'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        termid :'termid',
        subid :'subid',
        teacherid :'teacherid',
        reason :'reason'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
