module.exports = {
  create: {
    requestBody: [
      '!class',
      '!term',
      '!batch',
      'lessons'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'class',
      'term',
      'batch',
      'lessons'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        class :'class',
        term:'term',
        batch :'batch',
        lessons :'lessons'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
