module.exports = {
  create: {
    requestBody: [
      '!name',
      '!passwd',
      '!phone',
      '!idnumber',
      'gender',
      'zynumber',
      'zynumberfile',
      'schid',
      'schname',
      'email',
      'openid',
      'age',
      'birthday',
      'entrydate',
      'job',
      'major',
      'subid',
      'islyteacher',
      'zlscore',
      'msscore',
      'xsscore',
      'file',
      'status'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'passwd',
      'phone',
      'idnumber',
      'gender',
      'zynumber',
      'zynumberfile',
      'schid',
      'schname',
      'email',
      'openid',
      'age',
      'birthday',
      'entrydate',
      'job',
      'major',
      'subid',
      'islyteacher',
      'zlscore',
      'msscore',
      'xsscore',
      'file',
      'status'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        name :'name',
        passwd :'passwd',
        phone :'phone',
        idnumber :'idnumber',
        gender :'gender',
        zynumber :'zynumber',
        zynumberfile :'zynumberfile',
        schid :'schid',
        schname:'schname',
        email :'email',
        openid :'openid',
        age:'age',
        birthday:'birthday',
        entrydate :'entrydate',
        job :'job',
        major:'major',
        subid:'subid',
        islyteacher :'islyteacher',
        zlscore:'zlscore',
        msscore :'msscore',
        xsscore:'xsscore',
        file  :'file',
        status  :'status'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
