'use strict';


const assert = require('assert');
const _ = require('lodash');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class FestivalService extends CrudService {
  constructor(ctx) {
    super(ctx, 'festival');
    this.model = this.ctx.model.Festival;
  }

}

module.exports = FestivalService;
