module.exports = {
  create: {
    requestBody: [
      '!studentid',
      '!starttime',
      '!endtime',
      'reason',
      'status',
      'refcause'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'studentid',
      'starttime',
      'endtime',
      'reason',
      'status',
      'refcause'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        studentid :'studentid',
        starttime :'starttime',
        endtime :'endtime',
        reason :'reason',
        status :'status',
        refcause :'refcause'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
