module.exports = {
  create: {
    requestBody: [
      '!schid',
      'year',
      'planid',
      'remark',
      'term'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'schid',
      'year',
      'planid',
      'remark',
      'term'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        schid :'schid',
        year :'year',
        planid :'planid',
        remark :'remark',
        term :'term'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
