'use strict';

const _ = require('lodash');
const meta = require('./.group.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 分组管理
class GroupController extends Controller {

  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.group;
  }

  async insert() {
    const res = await this.service.insert(this.ctx.request.body);
    this.ctx.ok({ msg: 'ok', data: res });
  }

  async exit() {
    const res = await this.service.exit(this.ctx.request.body);
    this.ctx.ok({ msg: 'ok', data: res });
  }


}

module.exports = CrudController(GroupController, meta);
